Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18794

Description

The CH1903 / LV03 projection aka EPSG:21781 isn't displayed as choosing projection. 

Only EPSG:21782 is active. 

This can be reproduce only with Qgis 2.2.

Regards

Nicolas

History

#1 - 2014-05-27 02:09 PM - Rhenriques Henriques

Hi Nicolas

What is your operating system? I've just did a lot of work precisely is this CRS and all went as expected. I'm using version 2.2 and MacOSX. 

If all is right, your CRS choice, with EPSG: 21781, must have the following specifications

+proj=somerc +lat_0=46.95240555555556 +lon_0=7.439583333333333 +k_0=1 +x_0=600000 +y_0=200000 +ellps=bessel

+towgs84=674.4,15.1,405.3,0,0,0,0 +units=m +no_defs

Cheers

#2 - 2014-05-27 11:42 PM - Nicolas Liaudat

- File 7_64b.jpg added

- File xp_32b.png added

You are right, It depend on OS.

Epsg 21781 is available on win 7 64b, but not on XP. (plz refer to attached screenshots)

Many thanks for help

Nicolas

#3 - 2014-05-28 04:08 AM - Andre Joost

- Status changed from Open to Closed
I am working on XP, and EPSG:21781 is present in the CRS list.

This is not a matter of the operating system, but rather the GDAL and PROJ databases attached. If your QGIS installation fails at some stage, you might

encounter missing CRS too.

You can take a closer look at the installation logfile.

For OSGEO4W installers, it is in C:\\OSGeo4W\\var\\log\\setup.log.full or C:\\OSGeo4W64\\var\\log\\setup.log.full, For the standalone installer under

postinstall.log

#4 - 2014-05-28 04:16 AM - Nicolas Liaudat

Reinstalling Qgis 2.2 in a directory path without spaces do the trick.

Regards

Nicolas
